{% extends 'base.html.twig' %}

{% block body -%}
    <main class='main-content bgc-grey-100'>
        <div id='mainContent'>
            <h1>Sincronizzazione Dati Esterni</h1>
            <div class="card mb-3">
                <div class="card-header">Sincronizzazione automatica</div>

                <div class="card-body">
                    <div class="mb-2">Ultima esecuzione: ----</div>
                    <a href="{{ url('trash_sync_to_be_removed') }}" class="btn btn-primary">Gestisci dati eliminabili</a>
                </div>
            </div>


            <div class="card">
               <div class="card-header">Aggiornamento manuale</div>

                <div class="card-body">
                    <ul class="list-group list-group-flush">
                        {% for provider in providers %}
                            <li class="list-group-item d-flex align-items-center">
                                {{ provider.name }}
                                <div class="ms-auto">
                                    <a href="{{ path('provider_show_manual_sync', {id: provider.id}) }}" class="btn btn-primary btn-sm">Aggiorna utenti</a>
                                </div>
                            </li>
                        {% endfor %}
                    </ul>
                </div>
            </div>

        </div>
    </main>
{% endblock %}

